Package ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost

# Class ForpostConstants

java.lang.Object
ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostConstants

public class ForpostConstants extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `PARAM_ACCOUNT_ID`
  `static final String`
  `PARAM_ACCOUNT_OBJECT_ID`
  `static final String`
  `PARAM_ADDRESS`
  `static final String`
  `PARAM_AUTH_PROVIDER_ID`
  `static final String`
  `PARAM_BIND_ACCOUNT_ID`
  `static final String`
  `PARAM_CAMERA_ID`
  `static final String`
  `PARAM_CAMERA_MODEL_ID`
  `static final String`
  `PARAM_CAN_CHANGE_OWN_INFO`
  `static final String`
  `PARAM_CHANGE_PASSWORD_AT_NEXT_LOGIN`
  `static final String`
  `PARAM_CHANNEL`
  `static final String`
  `PARAM_CONTRACT_NUMBER`
  `static final String`
  `PARAM_EMAIL`
  `static final String`
  `PARAM_FIO`
  `static final String`
  `PARAM_HTTP_PORT`
  `static final String`
  `PARAM_ID`
  `static final String`
  `PARAM_INCLUDE_PARENT_GROUPS`
  `static final String`
  `PARAM_IP_OR_DOMAIN`
  `static final String`
  `PARAM_IS_ACTIVE`
  `static final String`
  `PARAM_IS_READ_ONLY`
  `static final String`
  `PARAM_IS_SOUND`
  `static final String`
  `PARAM_LAT`
  `static final String`
  `PARAM_LIGHT_CAMERA_BUFFER_ENABLED`
  `static final String`
  `PARAM_LOGIN`
  `static final String`
  `PARAM_LON`
  `static final String`
  `PARAM_MAC`
  `static final String`
  `PARAM_MASTER_ID`
  `static final String`
  `PARAM_MAX_BANDWIDTH`
  `static final String`
  `PARAM_MAX_CAMERA_ARCHIVAL_TRANSLATION_COUNT`
  `static final String`
  `PARAM_MAX_CAMERA_COUNT`
  `static final String`
  `PARAM_MAX_CAMERA_ONLINE_TRANSLATION_COUNT`
  `static final String`
  `PARAM_MAX_CAMERA_USER_ARCHIVAL_TRANSLATION_COUNT`
  `static final String`
  `PARAM_MAX_CAMERA_USER_ONLINE_TRANSLATION_COUNT`
  `static final String`
  `PARAM_MAX_LOGIN_COUNT`
  `static final String`
  `PARAM_MJPEG`
  `static final String`
  `PARAM_NAME`
  `static final String`
  `PARAM_NETWORK_IP`
  `static final String`
  `PARAM_NETWORK_MASK`
  `static final String`
  `PARAM_PARENT_ID`
  `static final String`
  `PARAM_PASSWORD`
  `static final String`
  `PARAM_PHONE`
  `static final String`
  `PARAM_PORT`
  `static final String`
  `PARAM_PROTOCOL`
  `static final String`
  `PARAM_PTZ_TYPE_ID`
  `static final String`
  `PARAM_QUOTA`
  `static final String`
  `PARAM_RECORD_TYPE`
  `static final String`
  `PARAM_RTSP_TRANSPORT`
  `static final String`
  `PARAM_SECRET_KEY`
  `static final String`
  `PARAM_SKIP_CAMERA_CHECK`
  `static final String`
  `PARAM_SYNC_CAMERA`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ForpostConstants()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### PARAM_ACCOUNT_ID

    public static final String PARAM_ACCOUNT_ID
    See Also:
      - Constant Field Values

  - ### PARAM_ACCOUNT_OBJECT_ID

    public static final String PARAM_ACCOUNT_OBJECT_ID
    See Also:
      - Constant Field Values

  - ### PARAM_ADDRESS

    public static final String PARAM_ADDRESS
    See Also:
      - Constant Field Values

  - ### PARAM_AUTH_PROVIDER_ID

    public static final String PARAM_AUTH_PROVIDER_ID
    See Also:
      - Constant Field Values

  - ### PARAM_BIND_ACCOUNT_ID

    public static final String PARAM_BIND_ACCOUNT_ID
    See Also:
      - Constant Field Values

  - ### PARAM_CAMERA_ID

    public static final String PARAM_CAMERA_ID
    See Also:
      - Constant Field Values

  - ### PARAM_CAMERA_MODEL_ID

    public static final String PARAM_CAMERA_MODEL_ID
    See Also:
      - Constant Field Values

  - ### PARAM_CAN_CHANGE_OWN_INFO

    public static final String PARAM_CAN_CHANGE_OWN_INFO
    See Also:
      - Constant Field Values

  - ### PARAM_EMAIL

    public static final String PARAM_EMAIL
    See Also:
      - Constant Field Values

  - ### PARAM_FIO

    public static final String PARAM_FIO
    See Also:
      - Constant Field Values

  - ### PARAM_HTTP_PORT

    public static final String PARAM_HTTP_PORT
    See Also:
      - Constant Field Values

  - ### PARAM_LOGIN

    public static final String PARAM_LOGIN
    See Also:
      - Constant Field Values

  - ### PARAM_NAME

    public static final String PARAM_NAME
    See Also:
      - Constant Field Values

  - ### PARAM_ID

    public static final String PARAM_ID
    See Also:
      - Constant Field Values

  - ### PARAM_INCLUDE_PARENT_GROUPS

    public static final String PARAM_INCLUDE_PARENT_GROUPS
    See Also:
      - Constant Field Values

  - ### PARAM_IP_OR_DOMAIN

    public static final String PARAM_IP_OR_DOMAIN
    See Also:
      - Constant Field Values

  - ### PARAM_IS_ACTIVE

    public static final String PARAM_IS_ACTIVE
    See Also:
      - Constant Field Values

  - ### PARAM_IS_READ_ONLY

    public static final String PARAM_IS_READ_ONLY
    See Also:
      - Constant Field Values

  - ### PARAM_IS_SOUND

    public static final String PARAM_IS_SOUND
    See Also:
      - Constant Field Values

  - ### PARAM_CHANGE_PASSWORD_AT_NEXT_LOGIN

    public static final String PARAM_CHANGE_PASSWORD_AT_NEXT_LOGIN
    See Also:
      - Constant Field Values

  - ### PARAM_MAX_CAMERA_COUNT

    public static final String PARAM_MAX_CAMERA_COUNT
    See Also:
      - Constant Field Values

  - ### PARAM_MAX_CAMERA_ONLINE_TRANSLATION_COUNT

    public static final String PARAM_MAX_CAMERA_ONLINE_TRANSLATION_COUNT
    See Also:
      - Constant Field Values

  - ### PARAM_MAX_CAMERA_USER_ONLINE_TRANSLATION_COUNT

    public static final String PARAM_MAX_CAMERA_USER_ONLINE_TRANSLATION_COUNT
    See Also:
      - Constant Field Values

  - ### PARAM_MAX_CAMERA_ARCHIVAL_TRANSLATION_COUNT

    public static final String PARAM_MAX_CAMERA_ARCHIVAL_TRANSLATION_COUNT
    See Also:
      - Constant Field Values

  - ### PARAM_MAX_CAMERA_USER_ARCHIVAL_TRANSLATION_COUNT

    public static final String PARAM_MAX_CAMERA_USER_ARCHIVAL_TRANSLATION_COUNT
    See Also:
      - Constant Field Values

  - ### PARAM_MAX_LOGIN_COUNT

    public static final String PARAM_MAX_LOGIN_COUNT
    See Also:
      - Constant Field Values

  - ### PARAM_MAX_BANDWIDTH

    public static final String PARAM_MAX_BANDWIDTH
    See Also:
      - Constant Field Values

  - ### PARAM_PROTOCOL

    public static final String PARAM_PROTOCOL
    See Also:
      - Constant Field Values

  - ### PARAM_PASSWORD

    public static final String PARAM_PASSWORD
    See Also:
      - Constant Field Values

  - ### PARAM_RECORD_TYPE

    public static final String PARAM_RECORD_TYPE
    See Also:
      - Constant Field Values

  - ### PARAM_PHONE

    public static final String PARAM_PHONE
    See Also:
      - Constant Field Values

  - ### PARAM_PORT

    public static final String PARAM_PORT
    See Also:
      - Constant Field Values

  - ### PARAM_MASTER_ID

    public static final String PARAM_MASTER_ID
    See Also:
      - Constant Field Values

  - ### PARAM_MJPEG

    public static final String PARAM_MJPEG
    See Also:
      - Constant Field Values

  - ### PARAM_SKIP_CAMERA_CHECK

    public static final String PARAM_SKIP_CAMERA_CHECK
    See Also:
      - Constant Field Values

  - ### PARAM_LAT

    public static final String PARAM_LAT
    See Also:
      - Constant Field Values

  - ### PARAM_LON

    public static final String PARAM_LON
    See Also:
      - Constant Field Values

  - ### PARAM_RTSP_TRANSPORT

    public static final String PARAM_RTSP_TRANSPORT
    See Also:
      - Constant Field Values

  - ### PARAM_PTZ_TYPE_ID

    public static final String PARAM_PTZ_TYPE_ID
    See Also:
      - Constant Field Values

  - ### PARAM_QUOTA

    public static final String PARAM_QUOTA
    See Also:
      - Constant Field Values

  - ### PARAM_MAC

    public static final String PARAM_MAC
    See Also:
      - Constant Field Values

  - ### PARAM_CHANNEL

    public static final String PARAM_CHANNEL
    See Also:
      - Constant Field Values

  - ### PARAM_SYNC_CAMERA

    public static final String PARAM_SYNC_CAMERA
    See Also:
      - Constant Field Values

  - ### PARAM_SECRET_KEY

    public static final String PARAM_SECRET_KEY
    See Also:
      - Constant Field Values

  - ### PARAM_LIGHT_CAMERA_BUFFER_ENABLED

    public static final String PARAM_LIGHT_CAMERA_BUFFER_ENABLED
    See Also:
      - Constant Field Values

  - ### PARAM_NETWORK_IP

    public static final String PARAM_NETWORK_IP
    See Also:
      - Constant Field Values

  - ### PARAM_NETWORK_MASK

    public static final String PARAM_NETWORK_MASK
    See Also:
      - Constant Field Values

  - ### PARAM_CONTRACT_NUMBER

    public static final String PARAM_CONTRACT_NUMBER
    See Also:
      - Constant Field Values

  - ### PARAM_PARENT_ID

    public static final String PARAM_PARENT_ID
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ForpostConstants

    public ForpostConstants()